package utils

import "git.haoqitour.com/haoqi/go-common/utils/logger"

func DefaultGoroutineRecover(log *logger.Logger, action string) {
	if err := recover(); err != nil {
		if e, ok := err.(error); ok {
			log.WithField("err", e.Error()).Error(action, " goroutine 异常")
		}
	}
}
